Bug 182309 - inconsistencies in the AOL Key product
inconsistencies in the AOL Key product
Status: CLOSED NOTABUG
Product: Red Hat Certificate System
Classification: Red Hat
Component: ESC (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 13:55 EST by Kevin Unthank
Modified: 2015-01-04 18:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Unthank 2006-02-21 13:55:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
===============Customer Comments====================
I noticed some inconsistencies in the AOL Key product:
- on the Mac, the application to manage the USB token and handle  enrollment is called "ESC".  (AOL renames it to be the "AOL Key  Utility" in our installer.)
- on the Mac and PC, the security module installed into Mozilla  profiles is called "CoolKey"
- on the PC, the application and system tray icon to manage the USB  token and handle enrollment is called "ESC"
- on the PC, Outlook refers to the USB token as "OpenKey" when trying  to pick a certificate to sign/encrypt email
- on the PC, whenever a CAPI application prompts for the device's  PIN, a dialog box labeled "IA" pops up.

Using four different names ("CoolKey", "ESC", "IA", and "OpenKey" )  is confusing to users -- especially when you're trying to train them  or write documentation for them.  It also sets a dangerous precident  where users will be more likely to enter their AOL Key PIN into an  untrusted application window, we should be very consistent when  prompting for this credential.

Secondly, I would like to brand everything as "AOL Key" to make the  product consistent within our environment.
====================End Customer Comments==================

Is it possible to "brand" the various components?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
  - on the Mac, the application to manage the USB token and handle  enrollment is called "ESC".  (AOL renames it to be the "AOL Key  Utility" in our installer.)
- on the Mac and PC, the security module installed into Mozilla  profiles is called "CoolKey"
- on the PC, the application and system tray icon to manage the USB  token and handle enrollment is called "ESC"
- on the PC, Outlook refers to the USB token as "OpenKey" when trying  to pick a certificate to sign/encrypt email
- on the PC, whenever a CAPI application prompts for the device's  PIN, a dialog box labeled "IA" pops up.

Actual Results:  Inconsistent naming of components

Expected Results:  consistent naming of components

Additional info:
Comment 1 Kevin Unthank 2006-02-21 14:01:02 EST
I have also noticed that when I format tokens with ESC, they are being labelled
"AOL Key". This should also be changed.

Comment 2 Chandrasekar Kannan 2006-02-21 14:06:20 EST
this bug is being closed. All Red Hat Certificate System bugs should be
filed in raidzilla.sfbay.redhat.com. thanks.

i'll move this bug to raidzilla.
Comment 3 Chandrasekar Kannan 2006-02-21 14:10:29 EST
this is corresponding bug # for your reference
http://raidzilla.sfbay.redhat.com/show_bug.cgi?id=58033
Comment 4 Chandrasekar Kannan 2008-08-25 19:07:45 EDT
Bug already CLOSED/VERIFIED. setting screened+ flag

Note You need to log in before you can comment on or make changes to this bug.